=== debian/changelog ===
ros-indigo-epos-hardware (0.0.3-0trusty) trusty; urgency=high

  * Fixed quickstop diagnostics status
  * Added diagnostics information from statusword
  * Added ability to set fault recovery option
  * Added nominal current and max current to diagnostics
  * Added diagnostics warning if nominal current is exceeded
  * Added diagnostics for motor output
  * Added torque constant parameter
  * Added support for velocity halt command
  * Show error message if not all faults were cleared
  * Don't write value if command is nan
  * Limit profile velocity to specified limit
  * Cast parameters to integers because sometimes it causes the configuration to fail
  * Contributors: Mitchell Wills

 -- Mitchell Wills <mwills@wpi.edu>  Thu, 18 Jun 2015 04:00:00 -0000

ros-indigo-epos-hardware (0.0.2-0trusty) trusty; urgency=high

  * Fixed so that udev rules file and example launch files are actually installed
  * Contributors: Mitchell Wills

 -- Mitchell Wills <mwills@wpi.edu>  Fri, 06 Mar 2015 05:00:00 -0000

ros-indigo-epos-hardware (0.0.1-0trusty) trusty; urgency=high

  * Initial release of epos_hardware
  * Contributors: Mitchell Wills

 -- Mitchell Wills <mwills@wpi.edu>  Fri, 30 Jan 2015 05:00:00 -0000
