=== debian/control ===
Source: ros-indigo-epos-hardware
Section: misc
Priority: extra
Maintainer: Mitchell Wills <mwills@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-controller-manager, ros-indigo-diagnostic-updater, ros-indigo-epos-library, ros-indigo-hardware-interface, ros-indigo-roscpp, ros-indigo-transmission-interface
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-epos-hardware
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-manager, ros-indigo-diagnostic-updater, ros-indigo-epos-library, ros-indigo-hardware-interface, ros-indigo-roscpp, ros-indigo-transmission-interface
Description: A wrapper around the EPOS Command Library to provide easy integration with ROS control
